function loadUser() {

    loadDataFromServer('/users').then(data => {
        data.forEach(user => {
            var liElement = document.createElement('li');  // <li> </li>  <a> </a>
            var userLink = document.createElement('a');
            userLink.setAttribute("href", `javascript:loadTodosById(${user.id})`)
            userLink.innerHTML = user.name;
            liElement.appendChild(userLink);
            document.getElementsByTagName('ul')[0].appendChild(liElement);
        });

    })
}

function loadTodosById(id) {
    loadDataFromServer(`/todos/?userId=${id}`).then(
        data => {
            document.getElementsByTagName('ul')[1].innerHTML = '';
            data.forEach(task => {
                var liElement = document.createElement('li');
                liElement.innerHTML = task.title;
                document.getElementsByTagName('ul')[1].appendChild(liElement);
            });
        }
    )
}


function loadDataFromServer(query) {
    var xmlhttp = new XMLHttpRequest();
    var baseUrl = `https://jsonplaceholder.typicode.com`;
    xmlhttp.open('GET', baseUrl + query);
    xmlhttp.send();

    return new Promise(
        (resolve, reject) => {
            xmlhttp.onreadystatechange = function () {
                if (this.status == 200 && this.readyState == 4) {
                    var response = JSON.parse(this.responseText);
                    resolve(response)
                }
            }
        }
    )
}


